Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.instance.impl
Class RuleAwareProcessEventLister

    java.lang.Object
      org.jbpm.process.instance.impl.RuleAwareProcessEventLister

All Implemented Interfaces:
  EventListener, ProcessEventListener

    public class RuleAwareProcessEventLister

extends Object
implements ProcessEventListener

Constructor Summary
`RuleAwareProcessEventLister()`

Method Summary
`void` | `afterNodeLeft(ProcessNodeLeftEvent event)` This listener method is invoked right after a node in a process instance has been left (which is when the node was completed, for example when it performed the task it was designed for).
`void` | `afterNodeTriggered(ProcessNodeTriggeredEvent event)` This listener method is invoked right after a node in a process instance has been triggered (which is when the node was entered, for example when an incoming connection triggered it).
`void` | `afterProcessCompleted(ProcessCompletedEvent event)` This listener method is invoked right after a process instance has been completed (or aborted).
`void` | `afterProcessStarted(ProcessStartedEvent event)` This listener method is invoked right after a process instance has been started.
`void` | `afterVariableChanged(ProcessVariableChangedEvent event)` This listener method is invoked right after the value of a process variable has been changed.
`void` | `beforeNodeLeft(ProcessNodeLeftEvent event)` This listener method is invoked right before a node in a process instance is being left (which is when the node is completed, for example when it has performed the task it was designed for).
`void` | `beforeNodeTriggered(ProcessNodeTriggeredEvent event)` This listener method is invoked right before a node in a process instance is being triggered (which is when the node is being entered, for example when an incoming connection triggers it).
`void` | `beforeProcessCompleted(ProcessCompletedEvent event)` This listener method is invoked right before a process instance is being completed (or aborted).
`void` | `beforeProcessStarted(ProcessStartedEvent event)` This listener method is invoked right before a process instance is being started.
`void` | `beforeVariableChanged(ProcessVariableChangedEvent event)` This listener method is invoked right before the value of a process variable is being changed.
`protected FactHandle` | `getProcessInstanceFactHandle(Long processInstanceId, KnowledgeRuntime kruntime)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RuleAwareProcessEventLister

    public RuleAwareProcessEventLister()

Method Detail

### beforeProcessStarted

    public void beforeProcessStarted(ProcessStartedEvent event)

  Description copied from interface: `ProcessEventListener`
  This listener method is invoked right before a process instance is being started.

  Specified by:
    `beforeProcessStarted` in interface `ProcessEventListener`

### afterProcessStarted

    public void afterProcessStarted(ProcessStartedEvent event)

  Description copied from interface: `ProcessEventListener`
  This listener method is invoked right after a process instance has been started.

  Specified by:
    `afterProcessStarted` in interface `ProcessEventListener`

### beforeProcessCompleted

    public void beforeProcessCompleted(ProcessCompletedEvent event)

  Description copied from interface: `ProcessEventListener`
  This listener method is invoked right before a process instance is being completed (or aborted).

  Specified by:
    `beforeProcessCompleted` in interface `ProcessEventListener`

### afterProcessCompleted

    public void afterProcessCompleted(ProcessCompletedEvent event)

  Description copied from interface: `ProcessEventListener`
  This listener method is invoked right after a process instance has been completed (or aborted).

  Specified by:
    `afterProcessCompleted` in interface `ProcessEventListener`

### beforeNodeTriggered

    public void beforeNodeTriggered(ProcessNodeTriggeredEvent event)

  Description copied from interface: `ProcessEventListener`
  This listener method is invoked right before a node in a process instance is being triggered (which is when the node is being entered, for example when an incoming connection triggers it).

  Specified by:
    `beforeNodeTriggered` in interface `ProcessEventListener`

### afterNodeTriggered

    public void afterNodeTriggered(ProcessNodeTriggeredEvent event)

  Description copied from interface: `ProcessEventListener`
  This listener method is invoked right after a node in a process instance has been triggered (which is when the node was entered, for example when an incoming connection triggered it).

  Specified by:
    `afterNodeTriggered` in interface `ProcessEventListener`

### beforeNodeLeft

    public void beforeNodeLeft(ProcessNodeLeftEvent event)

  Description copied from interface: `ProcessEventListener`
  This listener method is invoked right before a node in a process instance is being left (which is when the node is completed, for example when it has performed the task it was designed for).

  Specified by:
    `beforeNodeLeft` in interface `ProcessEventListener`

### afterNodeLeft

    public void afterNodeLeft(ProcessNodeLeftEvent event)

  Description copied from interface: `ProcessEventListener`
  This listener method is invoked right after a node in a process instance has been left (which is when the node was completed, for example when it performed the task it was designed for).

  Specified by:
    `afterNodeLeft` in interface `ProcessEventListener`

### beforeVariableChanged

    public void beforeVariableChanged(ProcessVariableChangedEvent event)

  Description copied from interface: `ProcessEventListener`
  This listener method is invoked right before the value of a process variable is being changed.

  Specified by:
    `beforeVariableChanged` in interface `ProcessEventListener`

### afterVariableChanged

    public void afterVariableChanged(ProcessVariableChangedEvent event)

  Description copied from interface: `ProcessEventListener`
  This listener method is invoked right after the value of a process variable has been changed.

  Specified by:
    `afterVariableChanged` in interface `ProcessEventListener`

### getProcessInstanceFactHandle

    protected FactHandle getProcessInstanceFactHandle(Long processInstanceId,
                                                      KnowledgeRuntime kruntime)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.